Subject: bug#9532: 24.0.50; `special-display-regexps' is no longer respected

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Sep 2011 21:38:19 -0400

> It should have been quite clear from my last message what the
> regression is, but since there has been no reply, let me repeat
> the essential.

> emacs -Q

> (setq special-display-frame-alist
>       '((background-color . "LightSteelBlue")))
> (setq special-display-regexps '("[ ]?[*][^*]+[*]"))
> (setq pop-up-frames t)
> (remove-hook 'same-window-regexps "\\*info\\*\\(\\|<[0-9]+>\\)")

I think the problem here is that display-buffer--special should not just
be in display-buffer-fallback-action but should take precedence over the
ACTION argument (it's largely equivalent to display-buffer-alist).

        Stefan